Skip to main content
PUT
/
navigation-rules
/
{id}
Update a navigation rule
curl --request PUT \
  --url https://api.questra.ai/navigation-rules/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Org-Id: <x-org-id>' \
  --data '
{
  "source_page_id": "<string>",
  "target_page_id": "<string>",
  "condition": "<string>",
  "order": 1
}
'
{
  "id": "<string>",
  "source_page_id": "<string>",
  "target_page_id": "<string>",
  "order": 1,
  "condition": "<string>",
  "attention_required": {
    "reason": "<string>",
    "dismissed": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

Unique ID of the navigation rule to update

Body

application/json
source_page_id
string

Unique ID of the page to be routed from

target_page_id
string

Unique ID of the page to route to

condition
string | null

Condition under which this rule should be followed. Null will unassign the condition, while neglecting to set a value will keep the condition as-is.

order
integer

The order in which this rule should be evaluated compared to others from the same source

Required range: x >= 0

Response

id
string
required

Unique ID of the navigation rule

source_page_id
string
required

Unique ID of the page this rule routes traffic from

target_page_id
string
required

Unique ID of the page this rule routes traffic to

order
integer
required

Order in which this rule should be evaluated to determine which one should be followed (0 is first, 1 is second, etc.)

Required range: x >= 0
condition
string

If the condition evaluates to true, this condition should be used and the user should be sent to the target page

attention_required
object

Present when the AI flagged this navigation rule as needing human review before export